Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class CallCenterRoutingStageInfo

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.model.CallCenterRoutingStageInfo

All Implemented Interfaces:
  RoutingStageInfo

    public class CallCenterRoutingStageInfo

extends Object
implements RoutingStageInfo

Provides information on a routing stage, for the `OverflowAndPriorityRouter` router. The information includes a waiting time, and a list of routing cases which are used to compute the functions returning vectors of ranks.

Constructor Summary
`CallCenterRoutingStageInfo(CallCenter cc, int k, RoutingStageParams par)` Constructs call canter routing stage from the model `cc`, and parameters `par`.

Method Summary
`RoutingCase[]` | `getCases()`
`RankFunction` | `getRankFunctionForAgentSelection()` Returns the rank function for agent selection at this stage of routing.
`RankFunction` | `getRankFunctionForContactSelection()` Returns the rank function for contact selection at this stage of routing.
`double` | `getWaitingTime()` Returns the minimal waiting time for this routing stage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallCenterRoutingStageInfo

    public CallCenterRoutingStageInfo(CallCenter cc,
                                      int k,
                                      RoutingStageParams par)

  Constructs call canter routing stage from the model `cc`, and parameters `par`.

  Parameters:
    `cc` - the call center model.
    `par` - the parameters for the routing stage.

Method Detail

### getRankFunctionForAgentSelection

    public RankFunction getRankFunctionForAgentSelection()

  Description copied from interface: `RoutingStageInfo`
  Returns the rank function for agent selection at this stage of routing.

  Specified by:
    `getRankFunctionForAgentSelection` in interface `RoutingStageInfo`

### getRankFunctionForContactSelection

    public RankFunction getRankFunctionForContactSelection()

  Description copied from interface: `RoutingStageInfo`
  Returns the rank function for contact selection at this stage of routing.

  Specified by:
    `getRankFunctionForContactSelection` in interface `RoutingStageInfo`

### getWaitingTime

    public double getWaitingTime()

  Description copied from interface: `RoutingStageInfo`
  Returns the minimal waiting time for this routing stage.

  Specified by:
    `getWaitingTime` in interface `RoutingStageInfo`

### getCases

    public RoutingCase[] getCases()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.